Contact Form

Get a contact form by ID

get
Query parameters
idstringRequired

The UUID of the contact form to retrieve

Header parameters
X-API-KEYstringRequired

Partner API Key

X-API-SECRETstringRequired

Partner API Secret

Responses
chevron-right
200

The contact form has been successfully retrieved.

application/json
idstringRequired

Unique identifier

createdAtstring · date-timeRequired

Creation timestamp

updatedAtstring · date-timeRequired

Last update timestamp

namestringRequired

Internal form name.

descriptionstring · nullableRequired

Internal form description.

Default: null
languageall ofRequired

Language in which the form is written. This language is used to determine the source language for machine translation.

string · enumOptionalPossible values:
enabledbooleanRequired

Determines if the form is enabled.

autoTranslatebooleanRequired

Whether to automatically translate the form.

submissionCountnumberRequired

Number of submissions recorded for this form.

brandIdstringRequired

Brand ID targeted by the contact form

brandNamestringRequired

Brand name targeted by the contact form

get
/partners/contact-form

List contact forms

post
Header parameters
X-API-KEYstringRequired

Partner API Key

X-API-SECRETstringRequired

Partner API Secret

Body
limitnumber · min: 1 · max: 100Optional

Pagination limit

Default: 10
pagenumber · min: 1Optional

Page to retrieve

Default: 1
Responses
post
/partners/contact-form/list

Last updated